Developer Portal
InsightsPurpleTRACMTIPodium
Other
Other
  • Weather
InsightsPurpleTRACMTIPodium
Other
Other
  • Weather
  1. Podium
  • Overview
  • Podium Authentication
  • Podium Metric I/O
  • Extract Timeline Fields
    POST
  • Timeline Info for All
    GET
  • Timeline Info by IMO
    GET
  • Schemas
    • GlueExtractResponseBody
    • TimelineInfoAllResponseBody
    • TimelineInfoByIMOResponseBody
  1. Podium

Extract Timeline Fields

Production
https://aviso-api.stratumfive.com
Production
https://aviso-api.stratumfive.com
POST
https://aviso-api.stratumfive.com
/api/tmln/v2/cf/timeline/extract
Calling this endpoint will return all the metrics in the specified timeline for a specified time-range.
The query parameters in the body section can be obtained by using the api call - Timeline Info for All or Timeline Info for IMO

Request

Body Params application/json

Examples

Responses

🟢200OK
application/json
OK
Bodyapplication/json

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://aviso-api.stratumfive.com/api/tmln/v2/cf/timeline/extract' \
--header 'Content-Type: application/json' \
--data '{
    "query": {
        "accountId": "a4bbe6aa-1960-47cf-a7a8-739b73b41996",
        "entityId": "53926",
        "includeDebugInfo": true,
        "limit": 1,
        "maxTimestamp": "2025-02-03T22:00:00.000Z",
        "minTimestamp": "2025-02-03T00:00:00.000Z",
        "tmlnDatasource": "ais_spire",
        "tmlnSeriesType": "ingested"
    }
}'
Response Response Example
200 - ingested-ais_spire
{
    "nextTimestamp": 1738025913000,
    "queryStats": {
        "nativeCount": 781,
        "queryBtFetchMs": 30
    },
    "series": [
        {
            "columns": [
                {
                    "name": "sensor.sog",
                    "value": "1.600000023841858"
                },
                {
                    "name": "sensor.course",
                    "value": "122.80000305175781"
                },
                {
                    "name": "Timestamp"
                }
            ],
            "lat": 41.7290466666667,
            "lon": 37.2373816666667,
            "timestamp": "2025-01-13T09:10:33.000Z"
        }
    ]
}
Modified at 2026-09-22 15:10:36
Previous
Podium Metric I/O
Next
Timeline Info for All
Built with